Skip to main content
GET
/
v1
/
sandboxes
/
{id}
/
desktop
/
windows
List open windows with metadata
import requests

url = "https://api.13-215-85-171.sslip.io/v1/sandboxes/{id}/desktop/windows"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
[
  {
    "id": "<string>",
    "title": "<string>",
    "class_name": "<string>",
    "is_active": true,
    "x": 123,
    "y": 123,
    "width": 123,
    "height": 123,
    "desktop": 123,
    "desktop_name": "<string>",
    "pid": 123
  }
]

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

id
string
required

Sandbox ID (e.g. sb_a1b2c3d4)

Response

200 - application/json

Window list

id
string
required
title
string
required
class_name
string
required
is_active
boolean
required
x
integer<int32>
required
y
integer<int32>
required
width
integer<uint32>
required
height
integer<uint32>
required
desktop
integer<int32> | null
desktop_name
string | null
pid
integer<uint32> | null